### Method

# EDataServer Collator get_index_labels

since: 3.12

#### Declaration [src]

    const gchar* const*
    e_collator_get_index_labels (
      ECollator* collator,
      gint* n_labels,
      gint* underflow,
      gint* inflow,
      gint* overflow
    )

#### Description [src]

Fetches the displayable labels and index positions for the active alphabet.

Available since: 3.12

#### Parameters

`n_labels`

  Type: `gint*`

  The number of labels/indexes available for `collator`.

  The argument will be set by the function.

`underflow`

  Type: `gint*`

  The underflow index, for any words which sort below the active alphabet(s).

  The argument will be set by the function.
  The argument can be `NULL`.

`inflow`

  Type: `gint*`

  The inflow index, for any words which sort between the active alphabets (if there is more than one).

  The argument will be set by the function.
  The argument can be `NULL`.

`overflow`

  Type: `gint*`

  The overflow index, for any words which sort above the active alphabet(s).

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: An array of `utf8`

The array of displayable labels for each index in the active alphabet(s).

The array is `NULL`-terminated.
The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.